// This file is generated by kconfig_compiler from kannasaver.kcfg.
// All changes you do to this file will be lost.
#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <kconfigskeleton.h>
#include <kdebug.h>

#include <kglobalsettings.h>
class Preferences : public KConfigSkeleton
{
  public:
    class EnumMode
    {
      public:
      enum type { Basic, BasicExtended, BasicExtendedCompound, COUNT };
    };
    class EnumStyle
    {
      public:
      enum type { Hiragana, Katakana, COUNT };
    };

    static Preferences *self();
    ~Preferences();

    /**
      Set How many characters should be shown.
    */
    static
    void setMode( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "mode" ) ))
        self()->mMode = v;
    }

    /**
      Get How many characters should be shown.
    */
    static
    int mode()
    {
      return self()->mMode;
    }

    /**
      Set Which writing system should be used.
    */
    static
    void setStyle( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "style" ) ))
        self()->mStyle = v;
    }

    /**
      Get Which writing system should be used.
    */
    static
    int style()
    {
      return self()->mStyle;
    }

    /**
      Set timer
    */
    static
    void setTimer( int v )
    {
      if (v < 1)
      {
        kDebug() << "setTimer: value " << v << " is less than the minimum value of 1";
        v = 1;
      }

      if (v > 60)
      {
        kDebug() << "setTimer: value " << v << " is greater than the maximum value of 60";
        v = 60;
      }

      if (!self()->isImmutable( QString::fromLatin1( "timer" ) ))
        self()->mTimer = v;
    }

    /**
      Get timer
    */
    static
    int timer()
    {
      return self()->mTimer;
    }

    /**
      Set backgroundColor
    */
    static
    void setBackgroundColor( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "backgroundColor" ) ))
        self()->mBackgroundColor = v;
    }

    /**
      Get backgroundColor
    */
    static
    QColor backgroundColor()
    {
      return self()->mBackgroundColor;
    }

    /**
      Set The font used to display the Romaji characters.
    */
    static
    void setFont( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "font" ) ))
        self()->mFont = v;
    }

    /**
      Get The font used to display the Romaji characters.
    */
    static
    QString font()
    {
      return self()->mFont;
    }

    /**
      Set fontSize
    */
    static
    void setFontSize( int v )
    {
      if (v < 1)
      {
        kDebug() << "setFontSize: value " << v << " is less than the minimum value of 1";
        v = 1;
      }

      if (v > 100)
      {
        kDebug() << "setFontSize: value " << v << " is greater than the maximum value of 100";
        v = 100;
      }

      if (!self()->isImmutable( QString::fromLatin1( "fontSize" ) ))
        self()->mFontSize = v;
    }

    /**
      Get fontSize
    */
    static
    int fontSize()
    {
      return self()->mFontSize;
    }

    /**
      Set fontColor
    */
    static
    void setFontColor( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "fontColor" ) ))
        self()->mFontColor = v;
    }

    /**
      Get fontColor
    */
    static
    QColor fontColor()
    {
      return self()->mFontColor;
    }

    /**
      Set The font used to display the Kana characters.
    */
    static
    void setKanaFont( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "kanaFont" ) ))
        self()->mKanaFont = v;
    }

    /**
      Get The font used to display the Kana characters.
    */
    static
    QString kanaFont()
    {
      return self()->mKanaFont;
    }

    /**
      Set kanaFontSize
    */
    static
    void setKanaFontSize( int v )
    {
      if (v < 1)
      {
        kDebug() << "setKanaFontSize: value " << v << " is less than the minimum value of 1";
        v = 1;
      }

      if (v > 100)
      {
        kDebug() << "setKanaFontSize: value " << v << " is greater than the maximum value of 100";
        v = 100;
      }

      if (!self()->isImmutable( QString::fromLatin1( "kanaFontSize" ) ))
        self()->mKanaFontSize = v;
    }

    /**
      Get kanaFontSize
    */
    static
    int kanaFontSize()
    {
      return self()->mKanaFontSize;
    }

    /**
      Set kanaFontColor
    */
    static
    void setKanaFontColor( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "kanaFontColor" ) ))
        self()->mKanaFontColor = v;
    }

    /**
      Get kanaFontColor
    */
    static
    QColor kanaFontColor()
    {
      return self()->mKanaFontColor;
    }

  protected:
    Preferences();
    friend class PreferencesHelper;


    // kannasaver
    int mMode;
    int mStyle;
    int mTimer;
    QColor mBackgroundColor;
    QString mFont;
    int mFontSize;
    QColor mFontColor;
    QString mKanaFont;
    int mKanaFontSize;
    QColor mKanaFontColor;

  private:
};

#endif

